org.apache.sysds.runtime.lineage

## Class BooleanArray32

- java.lang.Object
- - org.apache.sysds.runtime.lineage.BooleanArray32

    public class BooleanArray32
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BooleanArray32(int value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `get(int pos)`
`int` `getValue()`
`void` `set(int pos, boolean value)`
`void` `setValue(int value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanArray32

    public BooleanArray32(int value)

### Method Detail

#### get

    public boolean get(int pos)

#### set

    public void set(int pos,
                    boolean value)

#### getValue

    public int getValue()

#### setValue

    public void setValue(int value)